Skip to content

Lists features of a product with pagination, sorting, and filtering options.

GET
/api/v1/provision/admin/products/{productId}/features
curl --request GET \
--url https://example.com/api/v1/provision/admin/products/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/features
productId
required
string format: uuid

The unique identifier of the product.

pageNumber
integer | string format: int32
/^-?(?:0|[1-9]\d*)$/

The page number to retrieve.

pageSize
integer | string format: int32
/^-?(?:0|[1-9]\d*)$/

The number of items per page.

sortOrder
string

The sort order of the items.

filter
string

The filter criteria for the items.

Returns a paginated list of product features.

object
pageNumber
integer | string format: int32
/^-?(?:0|[1-9]\d*)$/
pageSize
integer | string format: int32
/^-?(?:0|[1-9]\d*)$/
totalCount
integer | string format: int32
/^-?(?:0|[1-9]\d*)$/
items
Array<object>
object
id
string format: uuid
featureCatalogId
null | string format: uuid
featureCode
string
featurePath
null | string
moduleName
null | string
name
string
description
null | string
usageMetric
null | string
units
null | string
featureType
integer
enumOptions
Array<object>
object
value
string
description
null | string
value
null | string
version
null | string
isEnabled
boolean
includeInLicenseToken
boolean
isAvailableDuringTrialPeriod
boolean
isAvailableDuringGracePeriod
boolean
canModifyValueOnEntitlement
boolean
meterAggregationType
One of:
null
visibility
integer
isDeleted
boolean
creationTimeStamp
string format: date-time
lastUpdateTimeStamp
null | string format: date-time
revisionNumber
integer | string format: int32
/^-?(?:0|[1-9]\d*)$/
totalPages
integer | string format: int32
/^-?(?:0|[1-9]\d*)$/
hasPreviousPage
boolean
hasNextPage
boolean